\begin{verbatim}
% 2.2 Synthse d'un filtre RIF

% Rponse impulsionnelle thorique : h(n) = Wc/pi sinc(nWc/pi)
Fe = 8000; Fc = 1000; Wc = 2*pi*Fc/Fe;

% Mthode du fenetrage
N = 33;     % Longueur du filtre RIF, doit etre impaire pour la suite
alpha = (N-1)/2; n=0:N-1;
b = ?????; %RI du filtre idal
bh = b.*hamming(N)';

[h,w] = freqz(b,1,L); figure; plot(w,20*log10(abs(h)),'b');
title('Log Magnitude Filtre RIF fenetrage'); axis([0 pi -60 2]); grid 
[hh,w] = freqz(bh,1,L); 
hold on; plot(w,20*log10(abs(hh)),'g');

figure; stem(n,b,'b'); hold on; stem(n,bh,'g'); grid

% Methode de l'echantillonnage frequentiel avec une TFD sur N points
N = 33; 
Hef = [ones(???,1); zeros(???,1); ones(???,1)] .* expression_de_la_phase;
%Mettre eventuellement un terme de phase

figure; subplot(2,1,1); stem(n,abs(Hef)); 
subplot(2,1,2); stem(n,angle(Hef)); 

bef = ifft(Hef,N);
[hef,w] = freqz(bef,1,L); 

figure; subplot(2,1,1);
plot(w,20*log10(abs(hef)),'b'); title('Log Magnitude Filtre RIF echantillonage frequentiel'); 
axis([0 pi -40 2]); subplot(2,1,2); plot(w,unwrap(angle(hef)),'b'); 
title('Phase Filtre RIF echantillonage frequentiel');

figure; stem(n,abs(bef),'b');  grid
\end{verbatim}
