\begin{verbatim}
% 1.2 Analyse d'un filtre numrique RIF passe-bas du second ordre

b11 = [0 -0.0309396 -0.0390182 0.0766059 0.288307 0.4 0.288307 0.0766059 -0.0390182 -0.0309396 0]; 
b7 = [-0.0409365 0.078369 0.289996 0.4 0.289996 0.078369 -0.0409365]; 
[h11,w] = freqz(b11,1,L); 
[h7,w] = freqz(b7,1,L); 
figure; plot(w,20*log10(abs(h11)),'g'); title('Log Magnitude Filtre RIF 2nd ordre'); 
axis([0 pi -60 2]); hold on;
plot(w,20*log10(abs(h7)),'b'); grid 
plot(w,gabh,'r'); plot(w,gabl,'r'); 
figure; plot(w,unwrap(angle(h11)),'g'); title('Phase Filtre RIF 2nd ordre'); 
grid hold on; plot(w,unwrap(angle(h7)),'b');

h11 = filter(b11, 1, delta); 
h7 = filter(b7, 1, delta); 
figure; subplot(2,1,1); stem(n,h11,'g'); subplot(2,1,2); stem(n,h7,'b')
figure; zplane(b11,1); figure; zplane(b7,1);
\end{verbatim}
