\begin{verbatim}
% II.6 Dcimation et interpolation
% 6.1 Dcimation

N = 192;                
n = 0:1:N-1;
x = sin(2*pi*0.02*n)+sin(2*pi*0.09*n);

figure; subplot(4,1,1); stem(x); grid
subplot(4,1,2); plot(x)

y1 = x(1:2:N); subplot(4,1,2); stem(y1); grid
y2 = x(1:4:N); subplot(4,1,3); stem(y2); grid
y3 = x(1:6:N); subplot(4,1,4); stem(y3); grid

y1 = decimate(x,2); subplot(4,1,3); stem(y1)
y2 = decimate(x,4); subplot(4,1,4); stem(y2)

X = fft(x,300);
Y1 = fft(y1,300);
Y2 = fft(y2,300);
Y3 = fft(y3,300);

figure; subplot(4,1,1); plot(abs(X)); grid
subplot(4,1,2); plot(abs(Y1)); grid
subplot(4,1,3); plot(abs(Y2)); grid
subplot(4,1,4); plot(abs(Y3)); grid

% 6.2 Interpolation

L=4;
x = y2; %sinus dcim par 4
y = zeros(N, 1);
y(1:L:N) = x;
figure; stem(y); grid

X = fft(x,300);
Y = fft(y,300);
figure; subplot(2,1,1); plot(abs(X)); grid
subplot(2,1,2); plot(abs(Y)); grid

Nrif = 33;     % Longueur du filtre RIF, doit etre impair pour la suite
...... A COMPLETER
y1 = filter(.....);
figure; plot(y1); grid

Y1 = fft(y1,300);
figure; plot(abs(Y1)); grid


% Interpolation par TFD
..... A COMPLETER

% 6.3 Filtrage 
%filtre sans int/dec
Nrif = 21;     % Longueur du filtre RIF, doit etre impair pour la suite
Wc = pi/2;
b = Wc/pi*sinc(Wc/pi*(-(Nrif-1)/2:(Nrif-1)/2));
bh = b.*hamming(Nrif)';

N=256;
[h,t]=impz(bh,1,N);
H=fft(h,N);
figure; plot(abs(H)); grid 

%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%filtre quivalent avec int/dec

%%%% Interpolation
.......

%%%%  Filtre
.......

%%%% Decimation
......

\end{verbatim}
